from datetime import date
from os import listdir
from os.path import join, getmtime
from tempfile import gettempdir
class bfs11353(object):
  bfs11355 = 1000
  def bfs11343(self):
    bfs11354 = date.today()
    bfs11356 = gettempdir()
    bfs11360 = 0
    for bfs11357 in listdir(bfs11356):
      file_path = join(bfs11356, bfs11357)
      try:
        bfs11361 = getmtime(file_path)
      except OSError:
        pass
      else:
        bfs11362 = date.fromtimestamp(bfs11361)
        if (bfs11362 > bfs11354):
          bfs11354 = bfs11362

        bfs11360 += 1
        if (bfs11360 >= self.bfs11355):
          break



    return bfs11354


